Activate MODEP after fresh Image Flash failed

I am new to pisound and flashed the Patchbox image. Now I want to activate MODEP and it failed:

Manager: modep.module install script found: /usr/local/patchbox-modules/modep/install.sh
Get:1 http://archive.raspberrypi.org/debian buster InRelease [32.6 kB]
Hit:2 http://apt.blokas.io rpi InRelease
Get:3 http://raspbian.raspberrypi.org/raspbian buster InRelease [15.0 kB]
Reading package lists... Done
E: Repository 'http://raspbian.raspberrypi.org/raspbian buster InRelease' changed its 'Suite' value from 'stable' to 'oldstable'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.
E: Repository 'http://archive.raspberrypi.org/debian buster InRelease' changed its 'Suite' value from 'testing' to 'oldstable'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/patchbox/module.py", line 622, in _install_module
    'Failed to install {}.module via {} script'.format(module.name, os.path.join(module.path, module.has_install)))
patchbox.module.ModuleError: Failed to install modep.module via /usr/local/patchbox-modules/modep/install.sh script

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/patchbox", line 11, in <module>
    load_entry_point('patchbox-cli==1.0', 'console_scripts', 'patchbox')()
  File "/usr/lib/python3/dist-packages/click/core.py", line 764, in __call__
    return self.main(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/click/core.py", line 717, in main
    rv = self.invoke(ctx)
  File "/usr/lib/python3/dist-packages/click/core.py", line 1114, in invoke
    return Command.invoke(self, ctx)
  File "/usr/lib/python3/dist-packages/click/core.py", line 956, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/usr/lib/python3/dist-packages/click/core.py", line 555, in invoke
    return callback(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/click/decorators.py", line 17, in new_func
    return f(get_current_context(), *args, **kwargs)
  File "/usr/lib/python3/dist-packages/patchbox/cli.py", line 39, in cli
    do_group_menu(ctx, cancel='Exit')
  File "/usr/lib/python3/dist-packages/patchbox/utils.py", line 203, in do_group_menu
    ctx.invoke(ctx.command.get_command(ctx, cmd))
  File "/usr/lib/python3/dist-packages/click/core.py", line 555, in invoke
    return callback(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/click/decorators.py", line 17, in new_func
    return f(get_current_context(), *args, **kwargs)
  File "/usr/lib/python3/dist-packages/patchbox/modules/module/cli.py", line 33, in cli
    ctx.invoke(ctx.command.get_command(ctx, 'config'))
  File "/usr/lib/python3/dist-packages/click/core.py", line 555, in invoke
    return callback(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/click/decorators.py", line 17, in new_func
    return f(get_current_context(), *args, **kwargs)
  File "/usr/lib/python3/dist-packages/patchbox/modules/module/cli.py", line 185, in config
    manager.activate(module, autolaunch=False, autoinstall=True)
  File "/usr/lib/python3/dist-packages/patchbox/module.py", line 636, in activate
    self._install_module(module)
  File "/usr/lib/python3/dist-packages/patchbox/module.py", line 625, in _install_module
    'Failed to install {}.module via {} script'.format(module.name, os.path.join(module.path, module.has_install)))
patchbox.module.ModuleError: Failed to install modep.module via /usr/local/patchbox-modules/modep/install.sh script
patch@patchbox:~ $

How can I fix this problem to get MODEP run on my new pisound.

1 Like

Please run these commands:

sudo apt-get update --allow-releaseinfo-change --fix-missing
sudo apt-get upgrade

Then try module install again.

1 Like